Skip to main content
GET
/
api-keys
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/api-keys \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "orgId": "<string>",
      "agentId": "<string>",
      "name": "<string>",
      "prefix": "<string>",
      "scopes": [
        "<string>"
      ],
      "revoked": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "lastUsedAt": "2023-11-07T05:31:56Z",
      "expiresAt": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "extension": {}
    }
  ],
  "pagination": {
    "nextCursor": "<string>",
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Query Parameters

cursor
string

Opaque cursor from a previous response to fetch the next page

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
limit
integer
default:20

Maximum number of items to return per page (1–100, default 20)

Required range: 1 <= x <= 100
mode
enum<string>

Filter keys by environment mode

Available options:
LIVE,
TEST
agentId
string

Filter keys restricted to a specific agent

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
includeRevoked
boolean
default:false

Whether to include revoked keys in results

Response

200 - application/json

OK

Paginated list of API keys

items
object[]
required

Array of API key resources in the current page

pagination
object
required

Cursor-based pagination metadata